package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.ExclusaoDeCardapioFlows;
import com.javaseleniumtemplate.flows.LoginFlows;
import org.testng.annotations.Test;

public class ExclusaoDeCardapioTests extends TestBase {
    ExclusaoDeCardapioFlows exclusaoDeCardapioFlows;
    LoginFlows loginFlows;

    @Test
    public void ExclusaoCardapio(){
        exclusaoDeCardapioFlows = new ExclusaoDeCardapioFlows();
        loginFlows = new LoginFlows();

        String DTINICIAL = "01/12/2022";
        String DTFINAL = "31/12/2022";
        String PERIODOINI = "01/11/2022";
        String PERIODOFIM = "30/11/2022";
        String DATAINI = "02/01/2023";
        String DATAFIM = "30/01/2023";

        loginFlows.efetuarLogin();
        exclusaoDeCardapioFlows.navegarExclusaoCardapio();
        exclusaoDeCardapioFlows.realizaFiltros(DTINICIAL,DTFINAL);
        exclusaoDeCardapioFlows.alterarFiltros(PERIODOINI, PERIODOFIM,DATAINI,DATAFIM);

    }
}
