package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.ParametrosDePlanejamentoFlows;
import org.testng.Assert;
import org.testng.annotations.Test;

public class ParametrosDePlanejamentoTests extends TestBase {

    LoginFlows loginFlows;
    ParametrosDePlanejamentoFlows parametrosDePlanejamentoFlows;

    public void acessarTela(){
        loginFlows = new LoginFlows();
        String NMTELA = "Parâmetros de Planejamento";
        parametrosDePlanejamentoFlows = new ParametrosDePlanejamentoFlows();
        loginFlows.efetuarLogin();
        parametrosDePlanejamentoFlows.acessarTela();
        Assert.assertEquals(NMTELA,parametrosDePlanejamentoFlows.validaTela(),"Confirma acesso tela: ");
    }

    @Test
    public void acessarTelaParametros(){
        acessarTela();
        parametrosDePlanejamentoFlows.editaPersonalizacao();
    }

    @Test
    public void editarAbaCardapio(){
        acessarTela();
        parametrosDePlanejamentoFlows.edicaoAbaCardapio();
    }

    @Test
    public void calculoNDPCAL(){
        acessarTela();
        parametrosDePlanejamentoFlows.calculoNdpcal();
        parametrosDePlanejamentoFlows.validaExclusaoNdpcal();
    }






}
